Loading...
Searching...
No Matches
Amgx::AmgxConfig Struct Reference

Configuration structure for AMGX parameters. More...

`#include <AmgxPreconditioner.hpp>`

## Public Member Functions

| AmgxConfig (const Opm::PropertyTree &prm)
std::string | toString () const

## Public Attributes

int | determinism_flag = 0
int | print_grid_stats = 0
int | print_solve_stats = 0
std::string | solver = "AMG"
std::string | algorithm = "CLASSICAL"
std::string | interpolator = "D2"
std::string | selector = "PMIS"
std::string | smoother = "BLOCK_JACOBI"
int | presweeps = 3
int | postsweeps = 3
double | strength_threshold = 0.5
int | max_iters = 1

## Detailed Description

Configuration structure for AMGX parameters.

This structure holds the configuration parameters for the AMGX solver.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/AmgxPreconditioner.hpp